Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1515591 - mailx 12.5-23 break mail addresses
Summary: mailx 12.5-23 break mail addresses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mailx
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 05:33 UTC by LiuYan
Modified: 2018-02-27 16:52 UTC (History)
3 users (show)

Fixed In Version: mailx-12.5-25.fc27 mailx-12.5-25.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 17:13:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Heirloom-mailx-12.5-23_mail body became an attachment (deleted)
2017-11-21 05:33 UTC, LiuYan
no flags Details
Heirloom-mailx-12.5-23_mail body is mixed with mail headers (deleted)
2017-11-21 05:37 UTC, LiuYan
no flags Details

Description LiuYan 2017-11-21 05:33:12 UTC
Created attachment 1356380 [details]
Heirloom-mailx-12.5-23_mail body became an attachment

Description of problem:
I was on Fedora 26 before. After upgraded to Fedora 27, my daily log mail become malformed:
* I specified multiple mail addresses in mail to and mail cc, only one is remained.
  Weird thing is: the mail is delivered to all recipients.
* And the only one mail address contains only display name, the address is missing
- My mail addresses looks like the following:
  "刘研<liu.yan>,接收人2<recipient2>,接收人3<recipient3>"
* And the mail body became an attachment. I can saw the 'Content-Type' became to 'application/octet-stream' instead of 'text/plain' in the mail source code

Version-Release number of selected component (if applicable):
12.5-23.fc27

How reproducible:
Always

Steps to Reproduce:
1. 
	mail_subject="FileBackup01 4.13.12-300.fc27.x86_64 2017-11-20 [数量=20453, 大小=6.56GB, 耗时=23.2分钟]"
	mail_from="文件同步/备份01<NO_REPLY>"
	mail_to="刘研<liu.yan>,接收人2<recipient2>,接收人3<recipient3>"
	mail_cc="刘研<liu.yan>,接收人2<recipient2>,接收人3<recipient3>"
	mail_smtp_server=A.B.C.D  # change it to your SMTP server host/IP

	# change this to an rsync output log file name, with Chinese characters in it
	rsync_log_file="/path/to/rsync-output-log.txt"

	# change this to a PNG file name
	mail_attachment1="/path/to/png-file.png"
	
	mailx -S sendcharsets=utf-8 -S from="$mail_from" -S smtp=$mail_smtp_server \
	 -s "$mail_subject" \
	 -a "$mail_attachment1" \
	 -c "$mail_cc" \
	 "$mail_to" < "$rsync_log_file"


Actual results:
  * only one recipient remained in 'To' and 'Cc' header.
    however, mail are delivered to all recipients (see 'Delivered-to' header).
  * mail address is missing, only display name remained
  * mail body either became an attachment or mixed with mail headers
    (see the screenshots)

Expected results:


Additional info:
  Downgrade to 12.5-22.fc27 works.

Comment 1 LiuYan 2017-11-21 05:37:31 UTC
Created attachment 1356381 [details]
Heirloom-mailx-12.5-23_mail body is mixed with mail headers

This one is reproduced by issue the following command (replace smtp and domain.tld  respectively)

echo test测试 | mailx -S sendcharsets=utf-8 -S from="测试<NO_Reply>" -S smtp=A.B.C.D -s "邮件主题测试" -c "刘研<liu.yan>,刘研<liu.yan>" "刘研<liu.yan>,刘研<liu.yan>"

Comment 2 LiuYan 2017-11-22 10:14:27 UTC
Sorry, 'mail body become to attachment' issue is caused by the output of 'iostat' command of Fedora 27: There's are some 0x00 characters and other ANSI escape sequence characters in the output of 'iostat'.

Mail address broken issue still exists.

Comment 3 Nikola Forró 2017-11-22 16:13:02 UTC
Thanks for repoting this, fixed.

Commit: https://src.fedoraproject.org/rpms/mailx/c/bb2d5aeede258b35d8fb12aef6297d55085454ac

Comment 4 Fedora Update System 2017-11-22 16:31:07 UTC
mailx-12.5-24.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c5dea20e8

Comment 5 Fedora Update System 2017-11-22 16:31:13 UTC
mailx-12.5-24.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e478e56990

Comment 6 Fedora Update System 2017-11-22 16:31:19 UTC
mailx-12.5-24.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a82fe967af

Comment 7 LiuYan 2017-11-23 08:39:41 UTC
(In reply to Nikola Forró from comment #3)
> Thanks for repoting this, fixed.
> 
> Commit:
> https://src.fedoraproject.org/rpms/mailx/c/
> bb2d5aeede258b35d8fb12aef6297d55085454ac

Thanks for the fix. Mail address is not broken now.

However, if the subject contains multi-bytes characters, there will be a blank line after 'Subject: ' line, which separated headers into two parts, like the situation in the second screenshot. There's only one white space in the blank line.

Comment 8 Nikola Forró 2017-11-23 11:12:59 UTC
Yes, you are right. While IMHO technically it's not incorrect (with respect to RFC 2047), it should be fixed.

Comment 9 Fedora Update System 2017-11-24 23:23:01 UTC
mailx-12.5-24.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e478e56990

Comment 10 Fedora Update System 2017-11-25 00:35:11 UTC
mailx-12.5-24.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c5dea20e8

Comment 11 Fedora Update System 2017-11-25 01:34:22 UTC
mailx-12.5-24.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a82fe967af

Comment 12 Fedora End Of Life 2017-12-12 10:03:52 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Fedora Update System 2017-12-12 11:16:36 UTC
mailx-12.5-24.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-12-12 13:40:16 UTC
mailx-12.5-24.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-12-12 14:38:20 UTC
mailx-12.5-24.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Nikola Forró 2018-02-07 17:21:45 UTC
Fixed the blank line issue with base64 encoded words, and also fixed multi-byte encoded line-folding with quoted-printable encoded words.

Commit: https://src.fedoraproject.org/rpms/mailx/c/afc99ef4b901a68d3e23dd50e699076654e69922

Comment 17 Fedora Update System 2018-02-07 17:47:34 UTC
mailx-12.5-25.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4250b6f593

Comment 18 Fedora Update System 2018-02-07 17:47:40 UTC
mailx-12.5-25.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a59412e76

Comment 19 Fedora Update System 2018-02-08 08:58:07 UTC
mailx-12.5-25.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a59412e76

Comment 20 Fedora Update System 2018-02-08 09:18:27 UTC
mailx-12.5-25.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4250b6f593

Comment 21 Fedora Update System 2018-02-20 17:13:38 UTC
mailx-12.5-25.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-02-27 16:52:44 UTC
mailx-12.5-25.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.